import { TNSImageAssetBase, TNSImageAssetSaveFormat } from './canvas-plugin.common';
export declare class TNSImageAsset extends TNSImageAssetBase {
    constructor();
    loadFile(path: string): boolean;
    static toPrimitive(value: any): any;
    loadFileAsync(path: string): Promise<{}>;
    loadFromNative(image: any): boolean;
    loadFromNativeAsync(image: any): Promise<{}>;
    loadFromBytes(bytes: Uint8Array | Uint8ClampedArray): any;
    loadFromBytesAsync(bytes: Uint8Array | Uint8ClampedArray): Promise<{}>;
    readonly width: any;
    readonly height: any;
    scale(x: number, y: number): void;
    save(path: string, format: TNSImageAssetSaveFormat): boolean;
    saveAsync(path: string, format: TNSImageAssetSaveFormat): Promise<boolean>;
    flipX(): void;
    flipY(): void;
    readonly error: string;
}
